Skip to main content
GET
/
payments
/
payouts
Get All Payouts
curl --request GET \
  --url https://api.rootfi.dev/v4/payments/payouts \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 5001,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-15T00:00:00Z",
      "rootfi_updated_at": "2025-01-16T10:00:00Z",
      "rootfi_company_id": 999,
      "platform_id": "po_stripe_001",
      "gateway_account_id": "acct_stripe_123",
      "amount": 5000,
      "currency_id": "USD",
      "status": "paid",
      "schedule": "automatic",
      "type": "bank_account",
      "method": "standard",
      "arrival_date": "2025-01-16T00:00:00Z",
      "gateway": "stripe",
      "destination": {
        "bank_name": "Chase",
        "last4": "1234",
        "routing_number": "021000021"
      },
      "transaction_ids": [
        "txn_9001",
        "txn_9002",
        "txn_9003"
      ],
      "created_at": "2025-01-15T00:00:00Z",
      "updated_at": "2025-01-16T10:00:00Z"
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
The Payouts Data Model represents transfers of funds from the payment platform to your bank account, with detailed tracking of arrival dates and included transactions.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of payouts links you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator].

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the payments endpoint.

data
paymentsPayoutsObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects